<?php
function oauth_server_sso_license($form, $form_state){
    drupal_add_css( drupal_get_path('module', 'oauth_server_sso'). '/css/bootstrap.min.css' , array('group' => CSS_DEFAULT, 'every_page' => FALSE));
    drupal_add_css( drupal_get_path('module', 'oauth_server_sso'). '/css/style_settings.css' , array('group' => CSS_DEFAULT, 'every_page' => FALSE));
    drupal_add_js(drupal_get_path('module', 'oauth_server_sso') . '/js/upgrade_license_tab.js');

    $form['mo_oauth_server_style'] = array('#markup' => '<div class="mo_oauth_table_layout_1"><div class="mo_oauth_table_layout">');

    $form['markup_1'] = array(
        '#markup' =>'<br><h3>LICENSING PLANS</h3><hr>'
    );

    $form['markup_free'] = array(
        '#markup' => '<html lang="en">
        <head>
            <meta charset="utf-8">
            <meta name="viewport" content="width=device-width, initial-scale=1">
            <!-- Main Style -->
        </head>
        <body>
        <!-- Pricing Table Section -->
        <section id="pricing-table">
            <div class="container_1">
                <div class="row">
                    <div class="pricing">
                        <div>
                            <div class="pricing-table class_inline_1">
                                <div class="pricing-header">
                                    <h2 class="pricing-title">Features / Plans</h2><br><br><br>
                                </div>
                                <div class="pricing-list">
                                    <ul>
                                        <li>Client Applications Supported</li>
                                        <li>Authorization Code Grant</li>
                                        <li>Basic Attribute Mapping</li>
                                        <li>Custom Attribute Mapping</li>
                                        <li>Resource Owner Credentials Grant (Password Grant)</li>
                                        <li>Client Credentials Grant</li>
                                        <li>Implicit Grant</li>
                                        <li>Refresh token Grant</li>
                                        <li>Enable/Disable Switch</li>
                                        <li>Restrict unauthorized access to Drupal APIs</li>
                                        <li>Customize Token Length & Expiry Time </li>
                                        <li>Redirect URI validation</li>
                                        <li>Enforce State parameter</li>
                                        <li>OpenID Connect Support	</li>
                                        <li>Extended OAuth API support</li>
                                        <li>JWT Signing Algorithm</li>
                                        <li>Multi-site Support</li>
                                        <li>Login Reports</li>
                                        <li>End to End Integration **</li>
                                        <li>Support Options</li>
                                    </ul>
                                </div>
                            </div>
                            <div class="pricing-table class_inline">
                                <div class="pricing-header">
                                <p class="pricing-title">Free</p>
                                <p class="pricing-rate"><sup>$</sup> 0</p><br><br><br>
                                <div class="filler-class"></div>
                                    <a class="btn btn-primary">Current Plan</a>
                                </div>
                            <div class="pricing-list">
                                <ul>
                                <li>1</li>
                                <li>&#x2714;</li>
                                <li>&#x2714;</li>
                                <li></li>
                                <li> </li>
                                <li> </li>
                                <li> </li>
                                <li> </li>
                                <li> </li>
                                <li> </li>
                                <li> </li>
                                <li> </li>
                                <li></li>
                                <li></li>
                                <li> </li>
                                <li> </li>
                                <li> </li>
                                <li> </li>
                                <li> </li>
                                <li>Basic Support by Email</li>
                                </ul>
                            </div>
                        </div>
                        <div class="pricing-table class_inline">
                            <div class="pricing-header">
                                <p class="pricing-title">Premium</p>
                                <p class="pricing-rate" id="premium_pricing"><sup>$</sup> 450 / Year </p>
                                <div class="container-inline"><label for="cars" style="color: white">Number of Users:  </label>
                                <select name="number_of_users" id="number_of_users" style="height: 30px;margin-top: 9px;" onchange="upgradePricing(this.value)">
                                        <option value="1">1-100 users</option>
                                        <option value="2">101-200 users</option>
                                        <option value="3">201-300 users</option>
                                        <option value="4">301-400 users</option>
                                        <option value="5">401-500 users</option>
                                        <option value="6">501-1000 users</option>
                                        <option value="7">1001-2000 users</option>
                                        <option value="8">2001-3000 users</option>
                                        <option value="9">3001-4000 users</option>
                                        <option value="10">4001-5000 users</option>
                                        <option value="11">More Than 5000 Users</option>
                                </select></div><br>
                                 <a href="https://www.miniorange.com/contact" target="_blank" class="btn btn-primary">Contact Us</a>
                            </div>

                            <div class="pricing-list">
                                <ul>
                                    <li>Unlimited</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>&#x2714;</li>
                                    <li>Premium Support Plans</li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Pricing Table Section End -->
    </body>
    </html>',
    );
    $form['markup_7'] = array(
            '#markup' => '<h3>** End to End OAuth integration with any client application (additional charges may apply)</h3>'
                . 'We will setup an online meeting and help you with the end to end configuration of the module'
                . '. We also provide services to do the configuration on your behalf.<br>
            If you have any doubts regarding the licensing plans, you can mail us at <a target="_blank" href="mailto:drupalsupport@xecurify.com"><i>drupalsupport@xecurify.com</i>
            </a> or submit a query using the support form <b>(support form available on each tab).</b>'
        );
    return $form;
}
